package org.openclassroom.projet.model.enums;


/**
 * Enumerator of technical exception codes.
 * It allows you to retrieve error messages from the properties files.
 */
public enum TechnicalExceptionEnum {
    
    // =================================================================================================================
    //                                                   ENUMS
    // =================================================================================================================
    
    CANT_SEND_EMAIL("exception.technical.cant_send_email");
    
    
    // =================================================================================================================
    //                                                 ATTRIBUTES
    // =================================================================================================================
    
    private String code;
    
    
    // =================================================================================================================
    //                                                CONSTRUCTORS
    // =================================================================================================================
    
    TechnicalExceptionEnum (String code) {
        this.code = code;
    }
    
    
    // =================================================================================================================
    //                                              GETTERS / SETTERS
    // =================================================================================================================
    
    public String getCode () {
        return code;
    }
}
